<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8" />
    <title></title>
    <link rel="stylesheet" href="../css/interface.css" />
    <link rel="stylesheet" href="../css/lib/wenk.css" />

    <script src="../js/angular.min.js" type="text/javascript"></script>
    <script src="../js/angular/app.js" type="text/javascript"></script>
    <script src="../js/angular/controllers/interface.js" type="text/javascript"></script>
</head>
<body ng-app="oversight" ng-controller="interfaceController">
    <div class="interface-customize-wrapper">
        <h3>Создание персонажа</h3>

        <div ng-show="customizeStep == 1">
            <p class="interface-customize-p-info">Выберите деталь персонажа, затем изменяйте её с помощью клавиш <strong>Q</strong> и <strong>E</strong></p>
            <div class="interface-customize-type-button c-shape" ng-repeat="type in customizeTypes" ng-click="setCurrentCustomizeType(type.data)" ng-class="{'interface-customize-type-button-active': currentCustomizeType == type.data}">
                <img ng-src="../img/interface/{{type.image}}" class="interface-customize-type-button-image">
                <span>{{type.name}}</span>
            </div>

            <h3>Изменение лица</h3>
            <div class="interface-customize-face-shape-wrapper-global">
                <div class="interface-customize-face-shape-wrapper" ng-repeat="shape in faceShapes">
                    <span>{{shape.name}}</span>
                    <input type="range" min="-2" max="2" step="0.1" ng-model="faceShapes[$index].value" ng-change="faceShapesChanged($index, faceShapes[$index].value)">
                </div>
            </div>
        </div>

        <div ng-show="customizeStep == 2">
            <div class="alert alert-info">
                Используйте <strong>Q</strong> и <strong>E</strong> для изменения. <hr/>
                При выборе верхней одежды нужно подбирать сразу 3 параметра: одежда (верх), одежда (низ), торс. В случае, если часть персонажа выпирает из одежды - подбирайте торс.
            </div>
            <div class="interface-customize-type-button c-shape" ng-repeat="component in pedComponents" ng-click="setCurrentCustomizeType(component.data)" ng-class="{'interface-customize-type-button-active': currentCustomizeType == component.data}">
                <img ng-src="../img/interface/{{component.image}}" class="interface-customize-type-button-image">
                <span>{{component.name}}</span>
            </div>
        </div>

        <div class="interface-customize-footer">
            <button class="btn btn-default float-left" ng-click="changeStep(1)" ng-show="customizeStep == 2">Назад</button>
            <button class="btn btn-default float-right" ng-click="changeStep(2)" ng-show="customizeStep == 1">Вперёд</button>
            <button class="btn btn-default float-right" ng-click="savePedCustomize()" ng-show="customizeStep == 2">Сохранить</button>
        </div>
    </div>
</body>
</html>